// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers', 'ionic-letter-avatar', 'chart.js', 'pascalprecht.translate']).run(function ($ionicPlatform, $translate) {
	$ionicPlatform.ready(function () {
		// Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
		// for form inputs)
		set_globalization($translate);
		if (window.cordova && window.cordova.plugins.Keyboard) {
			cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
			cordova.plugins.Keyboard.disableScroll(true);
		}
		if (window.StatusBar) {
			// org.apache.cordova.statusbar required
			StatusBar.styleDefault();
		}
		start_promote();
	});
}).config(function ($stateProvider, $urlRouterProvider, $translateProvider, $ionicConfigProvider) {
	$ionicConfigProvider.tabs.position('bottom'); 
	start_localization($translateProvider)
	$stateProvider.state('app', {
		url: '/app',
		abstract: true,
		templateUrl: 'templates/menu.html',
		controller: 'AppCtrl'
	}).state('app.home', {
		url: '/home',
		views: {
			'menuContent': {
				templateUrl: 'templates/home.html',
				controller: 'homeCtrl'
			}
		}
	}).state('app.desc', {
		url: '/desc/:param1',
		views: {
			'menuContent': {
				templateUrl: 'templates/desc.html',
				controller: 'descCtrl'
			}
		}
	}).state('app.catnames', {
		url: '/catnames/:param1',
		views: {
			'menuContent': {
				templateUrl: 'templates/catnames.html',
				controller: 'catnamesCtrl'
			}
		}
	}).state('app.favorite', {
		url: '/favorite',
		views: {
			'menuContent': {
				templateUrl: 'templates/favorite.html',
				controller: 'favoriteCtrl'
			}
		}
	});
	// if none of the above states are matched, use this as the fallback
	$urlRouterProvider.otherwise('/app/home');
});
