function g_get(scope, http) {
	try {
		if (is_empty(scope.appData.selected_city)) {
			return;
		}
		scope.appData.all_data = {};
		var url_saved = scope.appData.selected_city.url;
		scope.appData.status = get_key('refreshing');
		if (window.Connection) {
			if (navigator.connection.type != Connection.NONE) {
				http.get(url_saved)
					.then(function (response) {
						try {
							console.log(JSON.stringify(response));
							var html_data = response.data;
							//html_data = html_data.replace("'", "");
							html_data = html_data.replace(/["']/g, "");
							var tbl = null;
							var key = scope.appData.selected_city.name + ' Gold Rate';
							tbl = get_table_next(html_data, key, 2);
							if (is_empty(tbl)) {
								return;
							}
							var all_data = {};
							set_hist_data(all_data, tbl);
							var ct_key = 'K';
							if (scope.appData.selected_country.country.name == 'Saudi Arabia')
								ct_key = 'Ct';
							tbl = get_table_next(html_data, 'Lowest Last 30 Days', 1);
							if (!is_empty(tbl)) {
								set_min_data(all_data, tbl, ct_key);
							}
							tbl = get_table_next(html_data, 'Highest Last 30 Days', 1);
							if (!is_empty(tbl)) {
								set_max_data(all_data, tbl, ct_key);
							}
							scope.appData.all_data = all_data;
							set_data_obj_real('all_data', scope.appData.all_data);
							set_for_graph(scope);
							stop_with_status(scope, get_key('refreshed'));
							show_interstitial(scope);
							//jso(scope.appData.all_data.k22g_price);
						} catch (e) {
							stop_with_status(scope, get_key('failed_to_refresh'));
							jso(e);
						}
					}, (err) => {
						jso(err);
					});

			} else {
				stop_with_status(scope, get_key('failed_to_refresh'));
				alert_msg(get_key('httperr'));
			}
		} else {
			stop_with_status(scope, get_key('failed_to_refresh'));
			alert_msg(get_key('httperr'));
		}
	} catch (e) {
		jso(e);
	}
}
function set_for_graph(scope) {
	try {
		var all_data = get_data_obj_real('all_data');
		scope.labels = [];
		scope.series = ['Price/Date'];
		scope.data = [];
		var data_this = [];
		var initprice_22 = 0.0;
		var got_change_22 = false;
		var initprice_24 = 0.0;
		var got_change_24 = false;

		all_data.dates.reverse();
		all_data.k22g_price.reverse();
		all_data.k24g_price.reverse();
		for (var i = 0; i < all_data.dates.length; i++) {
			scope.labels.push(get_date_for_graph(all_data.dates[i].toString()));
			if (scope.appData.current_carat == '22') {
				data_this.push(all_data.k22g_price[i]);

				if (!got_change_22) {
					if (initprice_22 == 0.0)
						initprice_22 = all_data.k22g_price[i];
					else if (initprice_22 != all_data.k22g_price[i]) {
						scope.appData.all_data.k22g_price_change_rate = (all_data.k22g_price[i] - initprice_22).toFixed(2);
						scope.appData.all_data.k22g_price_change_per = (scope.appData.all_data.k22g_price_change_rate / 100.00).toFixed(2);
						got_change_22 = true;
					}
				}
			}
			else if (scope.appData.current_carat == '24') {
				data_this.push(all_data.k24g_price[i]);
				if (!got_change_24) {
					if (initprice_24 == 0.0)
						initprice_24 = all_data.k24g_price[i];
					else if (initprice_24 != all_data.k24g_price[i]) {
						scope.appData.all_data.k24g_price_change_rate = (all_data.k24g_price[i] - initprice_24).toFixed(2);
						scope.appData.all_data.k24g_price_change_per = (scope.appData.all_data.k24g_price_change_rate / 100.00).toFixed(2);
						got_change_24 = true;
					}
				}
			}
		}
		scope.data.push(data_this);
		scope.options = {
		};
	} catch (e) {
		jso(e);
	}
}
function get_date_for_graph(val) {
	try {
		var splt = val.split('-');
		var res = splt[0] + '-' + val.split(' ')[1];
		return res;
	} catch (e) {
		jso(e);
	}
}
function set_max_data(all_data, table_history, ct_key) {
	try {
		var col_num = 0;
		all_data.max = {};
		all_data.max.k22 = {};
		all_data.max.k24 = {};
		var got24 = false;
		var got_24_ount = 0;
		var got22 = false;
		var got_22_ount = 0;
		for (var r = 0; r < table_history.rows.length; r++) {
			for (var c = 0; c < table_history.rows[r].cells.length; c++) {
				var val = table_history.rows[r].cells[c].textContent;
				if (val == '24' + ct_key + ' Gold / 1g') {
					got_24_ount = 0;
					got24 = true;
					got22 = false;
					continue;
				}
				else if (val == '22' + ct_key + ' Gold / 1g') {
					got_22_ount = 0;
					got22 = true;
					got24 = false;
					continue;
				}
				if (got_24_ount == 0 && got24) {
					all_data.max.k24.date = val;
					got_24_ount++;
				}
				else if (got_24_ount == 1 && got24) {
					all_data.max.k24.price = get_currency(val);
					got_24_ount++;
				}
				if (got_22_ount == 0 && got22) {
					all_data.max.k22.date = val;
					got_22_ount++;
				}
				else if (got_22_ount == 1 && got22) {
					all_data.max.k22.price = get_currency(val);
					got_22_ount++;
				}
			}
		}
	} catch (e) {
		jso(e);
	}
}
function set_min_data(all_data, table_history, ct_key) {
	try {
		var col_num = 0;
		all_data.min = {};
		all_data.min.k22 = {};
		all_data.min.k24 = {};
		var got24 = false;
		var got_24_ount = 0;
		var got22 = false;
		var got_22_ount = 0;
		for (var r = 0; r < table_history.rows.length; r++) {
			for (var c = 0; c < table_history.rows[r].cells.length; c++) {
				var val = table_history.rows[r].cells[c].textContent;
				if (val == '24' + ct_key + ' Gold / 1g') {
					got_24_ount = 0;
					got24 = true;
					got22 = false;
					continue;
				}
				else if (val == '22' + ct_key + ' Gold / 1g') {
					got_22_ount = 0;
					got22 = true;
					got24 = false;
					continue;
				}
				if (got_24_ount == 0 && got24) {
					all_data.min.k24.date = val;
					got_24_ount++;
				}
				else if (got_24_ount == 1 && got24) {
					all_data.min.k24.price = get_currency(val);
					got_24_ount++;
				}
				if (got_22_ount == 0 && got22) {
					all_data.min.k22.date = val;
					got_22_ount++;
				}
				else if (got_22_ount == 1 && got22) {
					all_data.min.k22.price = get_currency(val);
					got_22_ount++;
				}
			}
		}
	} catch (e) {
		jso(e);
	}
}
function set_hist_data(all_data, table_history) {
	try {
		var col_num = 0;
		all_data.dates = [];
		all_data.k22g_price = [];
		all_data.k22t_price = [];
		all_data.k24g_price = [];
		all_data.k24t_price = [];

		var got_date = false;
		var is_set_curr = false;
		for (var r = 0; r < table_history.rows.length; r++) {
			for (var c = 0; c < table_history.rows[r].cells.length; c++) {
				var val = table_history.rows[r].cells[c].textContent;
				if (val.split('-').length > 1) {
					col_num = 0;
					all_data.dates.push(val);
					got_date = true;
				}
				else if (col_num == 0 && got_date) {
					if (!is_set_curr) {
						all_data.currency = val.split(' ')[0];
						is_set_curr = true;
					}
					all_data.k22g_price.push(get_currency(val));
					col_num++;
				}
				else if (col_num == 1 && got_date) {
					all_data.k24g_price.push(get_currency(val));
					col_num++;
				}
				else if (col_num == 2 && got_date) {
					all_data.k22t_price.push(get_currency(val));
					col_num++;
				}
				else if (col_num == 3 && got_date) {
					all_data.k24t_price.push(get_currency(val));
					col_num++;
				}
			}
		}
	} catch (e) {
		jso(e);
	}
}
function get_currency(val) {
	var res = val.split(' ')[1].replace(',', '').trim();
	return parseFloat(res).toFixed(2);
}
function get_table_next(html, key, count) {
	try {
		var splt = html.split(key);
		if (splt.length < 2)
			return null;
		var html_data = splt[count];
		html_data = html_data.split('<table')[1];
		html_data = html_data.split('</table>')[0];
		html_data = '<table ' + html_data + ' </table>';
		var tbl = document.createElement('table');
		tbl.innerHTML = html_data;
		return tbl;
	} catch (e) {
		jso(e);
	}
	return null;
}
function stop_with_status(scope, stat) {
	try {
		scope.$broadcast('scroll.refreshComplete');
		scope.appData.status = stat;
		setTimeout(function () {
			set_home_default_title(scope);
			scope.$apply();
		}, 1000);
	} catch (e) {
		jso(e);
	}
}
function set_locs(scope) {
	try {
		scope.appData.locs = get_data_obj_real('locs');
		if (!is_empty(scope.appData.locs))
			return;
		var locs = [];
		//--Bahrain--
		var place = {};
		place.country = {};

		var this_place = {};
		this_place.name = 'Bahrain';
		this_place.url = 'http://www.bahraingoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/bahrain.png';

		place.country = this_place;
		place.city = [];

		this_place = {};
		this_place.name = 'Aali';
		this_place.url = 'http://aali.bahraingoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/bahrain.png';
		place.city.push(this_place);

		this_place = {};
		this_place.name = 'Hamad Town';
		this_place.url = 'http://hamad-town.bahraingoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/bahrain.png';
		place.city.push(this_place);

		this_place = {};
		this_place.name = 'Manama';
		this_place.url = 'http://manama.bahraingoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/bahrain.png';
		place.city.push(this_place);

		this_place = {};
		this_place.name = 'Muharraq';
		this_place.url = 'http://muharraq.bahraingoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/bahrain.png';
		place.city.push(this_place);

		this_place = {};
		this_place.name = 'Riffa';
		this_place.url = 'http://riffa.bahraingoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/bahrain.png';
		place.city.push(this_place);
		locs.push(place);


		//----KUWAIT
		place = {};
		place.country = {};

		var this_place = {};
		this_place.name = 'Kuwait';
		this_place.url = 'http://www.kuwaitgoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/kuwait.png';

		place.country = this_place;
		place.city = [];

		this_place = {};
		this_place.url = 'http://al-ahmadi.kuwaitgoldprice.com/gold-price.php';
		this_place.name = 'Al Ahmadi';
		this_place.flag = 'img/flags/kuwait.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://al-asimah.kuwaitgoldprice.com/gold-price.php';
		this_place.name = 'Al Asimah';
		this_place.flag = 'img/flags/kuwait.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://al-farwaniyah.kuwaitgoldprice.com/gold-price.php';
		this_place.name = 'Al Farwaniyah';
		this_place.flag = 'img/flags/kuwait.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://al-jahra.kuwaitgoldprice.com/gold-price.php';
		this_place.name = 'Al Jahra';
		this_place.flag = 'img/flags/kuwait.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://hawalli.kuwaitgoldprice.com/gold-price.php';
		this_place.name = 'Hawalli';
		this_place.flag = 'img/flags/kuwait.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://mubarak-al-kabeer.kuwaitgoldprice.com/gold-price.php';
		this_place.name = 'Mubarak Al Kabeer';
		this_place.flag = 'img/flags/kuwait.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://salmiya.kuwaitgoldprice.com/gold-price.php';
		this_place.name = 'Salmiya';
		this_place.flag = 'img/flags/kuwait.png';
		place.city.push(this_place);
		locs.push(place);

		//--OMAN--
		place = {};
		place.country = {};

		this_place = {};
		this_place.name = 'Oman';
		this_place.url = 'http://www.omangoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/oman.png';

		place.country = this_place;

		place.city = [];

		this_place = {};
		this_place.name = 'Al Buraimi';
		this_place.url = 'http://al-buraimi.omangoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/oman.png';
		place.city.push(this_place);

		this_place = {};
		this_place.name = 'Al Wusta';
		this_place.url = 'http://al-wusta.omangoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/oman.png';
		place.city.push(this_place);

		this_place = {};
		this_place.name = 'As Suwayq';
		this_place.url = 'http://as-suwayq.omangoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/oman.png';
		place.city.push(this_place);

		this_place = {};
		this_place.name = 'Barka';
		this_place.url = 'http://al-wusta.omangoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/oman.png';
		place.city.push(this_place);


		this_place = {};
		this_place.name = 'Bawshar';
		this_place.url = 'http://al-wusta.omangoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/oman.png';
		place.city.push(this_place);

		this_place = {};
		this_place.name = 'Ibra';
		this_place.url = 'http://ibra.omangoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/oman.png';
		place.city.push(this_place);

		this_place = {};
		this_place.name = 'Ibri';
		this_place.url = 'http://ibri.omangoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/oman.png';
		place.city.push(this_place);

		this_place = {};
		this_place.name = 'Khasab';
		this_place.url = 'http://khasab.omangoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/oman.png';
		place.city.push(this_place);

		this_place = {};
		this_place.name = 'Muscat';
		this_place.url = 'http://muscat.omangoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/oman.png';
		place.city.push(this_place);

		this_place = {};
		this_place.name = 'Nizwa';
		this_place.url = 'http://nizwa.omangoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/oman.png';
		place.city.push(this_place);

		this_place = {};
		this_place.name = 'Salalah';
		this_place.url = 'http://salalah.omangoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/oman.png';
		place.city.push(this_place);

		this_place = {};
		this_place.name = 'Sur';
		this_place.url = 'http://sur.omangoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/oman.png';
		place.city.push(this_place);

		locs.push(place);

		//----

		//----Qatar
		place = {};
		place.country = {};

		var this_place = {};
		this_place.name = 'Qatar';
		this_place.url = 'http://www.qatargoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/qatar.png';

		place.country = this_place;
		place.city = [];

		this_place = {};
		this_place.url = 'http://al-daayen.qatargoldprice.com/gold-price.php';
		this_place.name = 'Al Daayen';
		this_place.flag = 'img/flags/qatar.png';
		place.city.push(this_place);


		this_place = {};
		this_place.url = 'http://al-khor.qatargoldprice.com/gold-price.php';
		this_place.name = 'Al Khor';
		this_place.flag = 'img/flags/qatar.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://al-rayyan.qatargoldprice.com/gold-price.php';
		this_place.name = 'Al Rayyan';
		this_place.flag = 'img/flags/qatar.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://al-shamal.qatargoldprice.com/gold-price.php';
		this_place.name = 'Al Shamal';
		this_place.flag = 'img/flags/qatar.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://al-wakrah.qatargoldprice.com/gold-price.php';
		this_place.name = 'Al Wakrah';
		this_place.flag = 'img/flags/qatar.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://doha.qatargoldprice.com/gold-price.php';
		this_place.name = 'Doha';
		this_place.flag = 'img/flags/qatar.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://umm-salal.qatargoldprice.com/gold-price.php';
		this_place.name = 'Umm Salal';
		this_place.flag = 'img/flags/qatar.png';
		place.city.push(this_place);
		locs.push(place);

		//----SAUDI
		place = {};
		place.country = {};

		var this_place = {};
		this_place.name = 'Saudi Arabia';
		this_place.url = 'http://www.saudiarabiagoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/saudi_arabia.png';

		place.country = this_place;
		place.city = [];


		this_place = {}; this_place.url = 'http://abgig.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Abgig'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://abha.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Abha'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://abu-arieesh.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Abu Arieesh'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://afif.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Afif'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://ahad-rufiedah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Ahad Rufiedah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://ahd-al-masarha.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Ahd Al Masarha'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-aqiq.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Aqiq'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-ardhah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Ardhah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-idabi.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Idabi'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-ola.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Ola'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-aflaj.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Aflaj'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-ahsa.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Ahsa'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-asyah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Asyah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-badaia.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Badaia'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-baha.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Baha'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-bukieriyah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Bukieriyah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-dair.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Dair'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-darb.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Darb'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-dawdmi.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Dawdmi'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-diriyah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Diriyah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-ghat.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Ghat'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-hanakiayh.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Hanakiayh'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-harieq.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Harieq'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-hrath.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Hrath'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-jamoum.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Jamoum'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-jubial.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Jubial'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-kamel.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Kamel'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-khafji.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Khafji'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-kharj.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Kharj'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-kharkir.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Kharkir'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-khobar.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Khobar'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-khurmah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Khurmah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-lieth.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Lieth'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-mahd.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Mahd'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-majardah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Majardah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-majmaah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Majmaah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-mandaq.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Mandaq'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-maznab.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Maznab'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-mukhwa.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Mukhwa'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-muzahmiyah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Muzahmiyah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-nabhaniyah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Nabhaniyah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-nams.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Nams'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-nuaeriyah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Nuaeriyah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-qariyat.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Qariyat'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-qateif.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Qateif'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-qunfudah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Qunfudah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-qura.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Qura'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-qwieiyah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Qwieiyah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-rass.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Rass'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-salil.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Salil'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-shamasiyah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Shamasiyah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-shanan.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Shanan'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-taief.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Taief'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-wajh.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Wajh'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://al-zulfa.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Al Zulfa'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://amlaj.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Amlaj'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://arar.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Arar'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://badr.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Badr'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://badr-al-janoub.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Badr Al Janoub'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://baljurashi.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Baljurashi'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://balqarn.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Balqarn'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://baqaa.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Baqaa'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://biesh.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Biesh'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://biesha.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Biesha'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://buriedah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Buraidah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://dammam.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Dammam'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://dawmat-al-jandal.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Dawmat Al Jandal'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://dhahran-al-janoub.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Dhahran Al Janoub'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://dhamd.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Dhamd'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://dhiba.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Dhiba'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://dhiram.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Dhiram'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://fursan.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Fursan'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://ghazalah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Ghazalah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://hail.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Hail'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://habouna.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Habouna'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://hafr-al-batin.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Hafr Al Batin'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://haql.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Haql'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://hotat-bani-tamim.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Hotat Bani Tamim'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://hurimalilaa.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Hurimalilaa'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://jeddah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Jeddah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://jizan.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Jizan'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://khabash.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Khabash'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://khaibar.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Khaibar'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://khamis-mishiet.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Khamis Mishiet'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://khulies.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Khulies'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://mahaiel.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Mahaiel'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://mecca.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Mecca'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://medina.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Medina'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://najran.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Najran'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://oniezah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Oniezah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://oyoon-al-jewaa.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Oyoon Al Jewaa'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://qariyat-al-oliyah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Qariyat Al Oliyah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://qulwah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Qulwah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://rabigh.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Rabigh'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://rafha.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Rafha'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://raith.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Raith'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://ramamh.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Ramamh'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://raniyah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Raniyah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://ras-tannoura.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Ras Tannoura'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://riaydh-al-khubraa.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Riaydh Al Khubraa'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://rijal-almaa.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Rijal Almaa'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://riyadh.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Riyadh'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://sabiyaa.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Sabiyaa'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://sakaka.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Sakaka'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://samtah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Samtah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://shaqraa.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Shaqraa'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://sharorah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Sharorah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://surat-obiedah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Surat Obiedah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://tabuk.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Tabuk'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://tarif.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Tarif'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://tathieth.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Tathieth'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://tayma.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Tayma'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://thadiq.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Thadiq'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://thar.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Thar'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://turbah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Turbah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://wadi-al-dawsir.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Wadi Al Dawsir'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://yanbu-al-bahr.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Yanbu Al Bahr'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		this_place = {}; this_place.url = 'http://yiadmah.saudiarabiagoldprice.com/gold-price.php'; this_place.name = 'Yiadmah'; this_place.flag = 'img/flags/saudi_arabia.png'; place.city.push(this_place);
		locs.push(place);


		//----UAE
		place = {};
		place.country = {};

		var this_place = {};
		this_place.name = 'UAE';
		this_place.url = 'http://www.uaegoldprice.com/gold-price.php';
		this_place.flag = 'img/flags/uae.png';

		place.country = this_place;
		place.city = [];

		this_place = {};
		this_place.url = 'http://abu-dhabi.uaegoldprice.com/gold-price.php';
		this_place.name = 'Abu Dhabi';
		this_place.flag = 'img/flags/uae.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://ajman.uaegoldprice.com/gold-price.php';
		this_place.name = 'Ajman';
		this_place.flag = 'img/flags/uae.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://al-ain.uaegoldprice.com/gold-price.php';
		this_place.name = 'Al Ain';
		this_place.flag = 'img/flags/uae.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://dubai.uaegoldprice.com/gold-price.php';
		this_place.name = 'Dubai';
		this_place.flag = 'img/flags/uae.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://fujairah.uaegoldprice.com/gold-price.php';
		this_place.name = 'Fujairah';
		this_place.flag = 'img/flags/uae.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://ras-al-khaimah.uaegoldprice.com/gold-price.php';
		this_place.name = 'Ras Al Khaimah';
		this_place.flag = 'img/flags/uae.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://sharjah.uaegoldprice.com/gold-price.php';
		this_place.name = 'Sharjah';
		this_place.flag = 'img/flags/uae.png';
		place.city.push(this_place);

		this_place = {};
		this_place.url = 'http://umm-al-quwain.uaegoldprice.com/gold-price.php';
		this_place.name = 'Umm Al Quwain';
		this_place.flag = 'img/flags/uae.png';
		place.city.push(this_place);

		locs.push(place);
		set_data_obj_real('locs', locs);
		scope.appData.locs = locs;
	} catch (e) {
		jso(e);
	}
}