function purchase_item(ionicPopup, scope, productId) {
	try { 
		var productIds = [];
		productIds.push(productId);
		inAppPurchase.getProducts(productIds).then(function (products) {
			var got_product = false; 
			for (var i = 0; i < products.length; i++) {
				if (products[i].productId == productId) {
					got_product = true;
					inAppPurchase.buy(productId).then(function (data) {
						//	make_purchased(scope);
						set_as_purchased(ionicPopup, scope, productId);
					}).catch(function (err) {
						alert_msg(err.errorMessage);
					});
					break;
				}
			}
			if (!got_product) {
				alert_msg('Failed to purchase now. Please try later or contact the App Developer(User Menu/Contact Us option)', ionicPopup);
				return;
			}
		}).catch(function (err) {
		//	alert(JSON.stringify(err));
			if (!is_empty(err.errorMessage))
				alert_msg(err.errorMessage, ionicPopup);
		});
	} catch (e) {
		  
		alert_msg('Failed to purchase now. Please try later or contact the App Developer(User Menu/Contact Us option)', ionicPopup);
		log_msg(e);
	}
}
function set_as_purchased(ionicPopup, scope, productId) {
	try { 
		if (productId == 'bomosi.gold.pricesall') {
			set_is_ad_buy(true);
			scope.mainwindow.location.reload(true);
		}
		else {
			scope.appData.is_dwonloading = true;
			scope.appData.download_progress = 0;
			var key_array = productId.split('.');
			var file_path = "http://www.bomosi.com/data/r/" + key_array[key_array.length - 1] + ".zip";
			var sync = ContentSync.sync({
				src: file_path,
				id: productId,
				type: 'local'
			});
			sync.on('progress', function (data) {
				scope.appData.download_progress = data.progress;
				scope.$apply();
			});
			sync.on('complete', function (data) {
				try {
					scope.mainwindow.location.reload(true);
				} catch (e) {
					log_msg(e);
				}
			});

			sync.on('error', function (e) {
				scope.appData.is_dwonloading = false;
				if (e.responseCode)
					alert_msg('Error(Response Code:' + e.responseCode + '). Please try later or try Restore All Purchases(Left Top Menu/Settings)');
				else
					alert_msg('Error. Please try later or try Restore All Purchases(Left Top Menu/Settings)');
			});

			sync.on('cancel', function () {
				scope.appData.is_dwonloading = false;
				alert_msg('Canceled. Please try later or try Restore All Purchases(Left Top Menu/Settings)');
			});
		}
	} catch (e) {
		log_msg(e);
	}
}

function restore_pur(ionicPopup, scope) {
	try {
		var stat = '';
		var stat_ok = '';
		var count = -1;
		inAppPurchase.restorePurchases().then(function (purchases) {
			try {
				var is_buy = false;
				for (var i = 0; i < purchases.length; i++) {
					var pid = purchases[i].productId;
					set_as_purchased(ionicPopup, scope, pid);
					//if (pid == inapp_prod_id()) {
					is_buy = true;
					//	}
				}
				if (is_buy) {
					//alert_msg('Your Purchase is restored', ionicPopup);
					//make_purchased(scope);
				} else {
					alert_msg('Done. You have not purchased the Application', ionicPopup);
				}
			} catch (e) {
				log_msg(e);
			}
		}).catch(function (err) {
			if (!is_empty(err.errorMessage))
				alert_msg(err.errorMessage, ionicPopup);
			log_msg(err);
		});
	} catch (e) {
		log_msg(e);
	}
}
