function start_localization(transProvider) {
	try {
		transProvider.translations('en', {
			home: "Home",
			more_apps: "More Apps",
			tell_a_friend: "Tell A Friend",
			settings: "Settings",
			get_full_version: "Get Full Version",
			restore_purchases: "Restore All Purchases",
			about_us: "About Us",
			contact_us: "Contact Us",
			change_country: "Change Country",
			change_country_city: "Change Country & City",
			select_loc: "Select Your Location",
			close: "Close",
			country: "Country",
			done: "Done",
			city: "City",
			pls_country: "Please select your Country and City to get accurate values",

			pull_to_refresh: "Pull to refresh...",
			refreshing: "Refreshing...",
			refreshed: "Refreshed!",
			failed_to_refresh: "Failed to Refresh!",
			httperr: "Internet Connection is needed to update data. Please check the connection",
			history_graph: "Trend in previous days",
			lowest_in_last30:"Lowest price in last 30 days",
			highest_in_last30:"Highest price in last 30 days",
			history_price: "Price in previous days",
			disclaimer:"Disclaimer",
		});

		transProvider.translations('ar', {
			home: "الصفحة الرئيسية",
			more_apps: "تطبيقات أكثر",
			tell_a_friend: "اخبر صديق",
			settings: "إعدادات",
			get_full_version: "أحصل على النسخه الكاملة",
			restore_purchases: "استعادة جميع المشتريات",
			about_us: "معلومات عنا",
			contact_us: "اتصل بنا",
			change_country: "تغيير الدولة",
			change_country_city: "تغيير البلد والمدينة",
			select_loc: "حدد موقعك",
			close: "قريب",
			country: "بلد",
			done: "فعله",
			city: "مدينة",
			pls_country: "يرجى تحديد بلدك ومدينتك للحصول على قيم دقيقة",

			pull_to_refresh: "سحب لتحديث...",
			refreshing: "منعش...",
			refreshed: "منتعشة!",
			failed_to_refresh: "أخفق التحديث!",
			httperr: "هناك حاجة إلى اتصال بالإنترنت لتحديث البيانات. يرجى التحقق من الاتصال",
			history_graph: "الاتجاه في الأيام السابقة",
			lowest_in_last30:"أدنى سعر في آخر 30 يوما",
			highest_in_last30:"أعلى سعر في آخر 30 يوما",
			history_price: "السعر في الأيام السابقة",
			disclaimer:"تنصل",
		});
		transProvider.preferredLanguage("en");
		transProvider.fallbackLanguage("en");
	} catch (e) {
		log_msg(e);
	}
}

function get_language_en() {
	return 'English';
}

function get_language_ar() {
	return 'عربى';
}

function get_language_name_en() {
	return 'English';
}

function get_language_name_ar() {
	return 'عربى';
}

function set_globalization(trans) {
	try {
		translate_object = trans;
		var lan = get_current_language_key();
		if (is_empty(lan)) {
			if (typeof navigator.globalization !== "undefined") {
				navigator.globalization.getPreferredLanguage(function (language) {
					translate_object.use((language.value).split("-")[0]).then(function (data) {
						console.log("SUCCESS -> " + data);
					}, function (error) {
						console.log("ERROR -> " + error);
					});
				}, null);
			}
		} else {
			translate_object.use(lan).then(function (data) {
				console.log("SUCCESS -> " + data);
			}, function (error) {
				console.log("ERROR -> " + error);
			});
		}
	} catch (e) {
		log_msg(e);
	}
}

function change_current_langauge(scope) {
	var curr_lan = get_current_language_key();
	if (curr_lan == 'en') {
		set_current_language_key('ar');
	} else {
		set_current_language_key('en');
	}
	set_current_langauge(scope);
}

function set_current_langauge(scope) {
	if (get_current_language_key() == "ar") {
		scope.appData.is_right = true;
		scope.appData.next_language_name = get_language_en();
	} else {
		scope.appData.is_right = false;
		scope.appData.next_language_name = get_language_ar();
	}
}

function get_current_language_key() {
	var currentLang1 = get_data_real('curr_language');
	if (is_empty(currentLang1))
		currentLang1 = 'en';
	return currentLang1;
}

function set_current_language_key(language_key) {
	translate_object.use(language_key);
	set_data_real('curr_language', language_key);
}

function get_key(val) {
	return translate_object.instant(val);
}
